/*
 Theme Name:   Faste Wordpress theme child
 Theme URI:    http://www.faste.ca
 Description:  Thème de base pour le développement Web chez Faste Communication
 Author:       Guillaume Proulx
 Author URI:   http://www.faste.ca
 Template:     faste
 Text Domain:  faste-child
 Version:      1.0.11
*/


:root {
	--page-gutter-left: clamp(2rem, 12vw, 11.375rem);
	
}


/* ==========================================================================
   Configuration initiale
   ========================================================================== */

* {
	font-family: var(--main-font);
	font-size: clamp(16px, 1.2vw, 18px);
}
html, body {
	font-size: clamp(16px, 0.88vw, 18px);
	/* font-size: clamp(16px, 1.2vw, 18px); */
}
h1, h2, h3, h4 {
	margin-bottom: 1rem;
	font-weight: 700;
	line-height: 1.1;
}

h1 {
	margin-bottom: 20px;
	font-size: clamp(48px, 6vw, 90px);
	/* line-height: clamp(52px, 6.4vw, 95px); */
	color: var(--color2);
	text-transform: none;
}

h1 span {
	display: block;
	text-transform: uppercase;
}

h2 {
	font-size: clamp(36px, 4vw, 50px);
	/* line-height: clamp(40px, 4.4vw, 55px); */
}

h3 {
	font-size: clamp(16px, 1.4vw, 20px);
	/* line-height: clamp(18px, 1.6vw, 22px); */
	color: var(--color1);
	margin-bottom: 2rem;
	letter-spacing: 3px;
	font-weight: 300;
	text-transform: uppercase;
}

h4 {
	font-size: calc(18px + 1.6vw);
	font-weight: 800;
	color: var(--color1);
}

h5 {
	font-size: calc(17px + 1.3vw);
	text-transform: uppercase;
}

p {
	/* font-size: clamp(16px, 1.2vw, 18px); */
	font-size: clamp(16px, 0.88vw, 18px);
	line-height: clamp(25px, 1.8vw, 28px);
	color: var(--color2);
}
.rev h1,
.rev h2,
.rev h3,
.rev h4,
.rev h5,
.rev p {
	color: white;
}

.bg-color1 h1,
.bg-color1 h2,
.bg-color1 h3,
.bg-color1 h4,
.bg-color1 h5,
.bg-color1 p {
	color: var(--color3);
}

blockquote p {
	color: var(--color2);
	font-weight: bold;
}

blockquote p:first-child::before {
	content: "« ";
}

blockquote p:last-child::after {
	content: " »";
}


/* ==========================================================================
   Boutons
   ========================================================================== */
.b1,
.b2 {
	display: inline-block;
	padding: 1rem 3rem;
	border-radius: 0;
	font-size: clamp(12px, 0.68vw, 14px);
	line-height: 1;
	font-weight: 600;
	text-transform: uppercase;
	transition: background-position 0.4s ease, color 0.3s ease;
	margin-top: 1rem;
	letter-spacing: 1.4px;
}

.b1 {
	color: var(--color3);
	background: linear-gradient(to right, #fff 50%, #ffcc00 50%);
	background-size: 200% 100%;
	background-position: right bottom;
}

.b2 {
	color: var(--color4);
	background: linear-gradient(to right, #ffffff 50%, #000 50%);
	background-size: 200% 100%;
	background-position: right bottom;
}

.b1:hover,
.b2:hover {
	background-position: left bottom;
	color:  var(--color3);
}

/* ==========================================================================
   Layout
   ========================================================================== */

.container {
	max-width: 1800px;
	margin: 0 auto;
	padding: var(--pad);
}

.content-centered {
	margin-inline: auto;
}

.wp-block-cover,
.wp-block-cover-image {
	min-height: 0;
}

/* ==========================================================================
   Utilities
   ========================================================================== */

.text-center {
	text-align: center;
}

.filter {
	position: relative;
}

.filter::after {
	content: "";
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.6);
}

.filter.darker::after {
	background: rgba(0, 0, 0, 0.75);
}

.filter .content {
	position: relative;
	z-index: 9;
}

.bg-color1 {
	background: var(--color1);
}
.bg-color2 {
	background: var(--color2);
}

.bg-color3 {
	background: var(--color3);
}

/* ==========================================================================
   Grid
   ========================================================================== */

.grid {
	display: grid;
	gap: fluid(24px, 60px);
}

.grid--2 {
	grid-template-columns: repeat(2, minmax(0, 1fr));
}

.grid--3 {
	grid-template-columns: repeat(3, minmax(0, 1fr));
}
.grid--4-8 {
	grid-template-columns: 4fr 8fr;
}

.grid--8-4 {
	grid-template-columns: 8fr 4fr;
}

.grid--split {
	grid-template-columns: 55% 45%;
}

.grid--center {
	align-items: center;
}

.grid--start {
	align-items: flex-start;
}

.media img {
	width: 100%;
}

/* ==========================================================================
   Header
   ========================================================================== */

header#header {
	position: absolute;
	z-index: 99;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 999;
}

header#header nav a {
	color: var(--color4);
	font-weight: 600;
	text-transform: uppercase;
}


/* ==========================================================================
   Splide
   ========================================================================== */

.splide__pagination__page {
	width: 1rem;
	height: 1rem;
	border-radius: 50%;
	background: #d9d9d9;
}

.splide__pagination__page.is-active {
	background: var(--color3);
	transform: none;
}

.splide__slide img {
	width: 100%;
}


/* ==========================================================================
   Home
   ========================================================================== */

.hero {
	position: relative;
	display: flex;
	align-items: center;
	min-height: 90vh;
}

.hero .content {
	max-width: 80%;
	margin-inline: auto;
	text-align: center;
	padding: 0;
	
}

.hero .content p {
	max-width: 65%;
	margin-inline: auto;
}
.hero img {
	width: 100%;
}


.section-installation .content {
	border-left: 1px solid #ffcc00;
	padding-left: clamp(2rem, 4vw, 4rem);
}

/* ==========================================================================
   A propos
   ========================================================================== */
.section--a-propos .content {
	padding:
		clamp(4rem, 6vw, 7rem)
		clamp(4rem, 24vw, 22.75rem)
		clamp(4rem, 6vw, 7rem)
		var(--page-gutter-left);
} 
/* ==========================================================================
   Services
   ========================================================================== */

.services-horizontal {
	position: relative;
}

.services-horizontal__sticky {
	position: sticky;
	top: 0;
	height: 100vh;
	overflow: hidden;
}

.services-horizontal__track {
	display: flex;
	width: max-content;
	height: 100%;
	will-change: transform;
}

.services-horizontal__slide {
	flex: 0 0 75vw;
	height: 100vh;
	overflow: hidden;
}

.services-horizontal__slide > .grid {
	height: 100%;
	min-height: 0;
	align-items: center;
	padding-block: clamp(4rem, 6vw, 7rem);
	box-sizing: border-box;
}
.services-horizontal__slide .content,
.services-horizontal__slide .media {
	/* height: 100%; */
	min-height: 0;
}
.services-horizontal__slide .content {
	padding-left: var(--page-gutter-left);
}
.services-horizontal__slide .content {
	display: flex;
	flex-direction: column;
	justify-content: center;

	/* padding:
		clamp(5rem, 9vw, 10rem)
		clamp(4rem, 7vw, 8rem)
		clamp(5rem, 9vw, 10rem)
		var(--page-gutter-left); */
}

.services-horizontal__slide .media {
	height: 100%;
	min-height: 0;
	padding:
		0
		clamp(3rem, 5vw, 6rem);
}

.services-horizontal__slide .media img {
	width: 100%;
	height: auto;
	display: block;
}
/* ==========================================================================
   Réalisations
   ========================================================================== */

.section--realisations {
	padding-top: clamp(4rem, 6vw, 7rem);
	padding-bottom: clamp(4rem, 6vw, 7rem);
}
.realisations-header {
	max-width: 55vw;
	margin-inline: auto;
}
.realisations-header p {
	max-width: 70%;
	margin-inline: auto;
}

.realisation-content h3 {
	font-size: clamp(20px, 1.5vw, 24px);
	line-height: clamp(22px, 1.7vw, 26px);
	font-weight: 700;
	color: var(--color3);
	margin: 2rem 0 0 0;
	text-transform: none;
	letter-spacing: normal;
}
.realisation-content p {
	font-size: clamp(12px, 1vw, 14px);
}
.realisations-filters {
	display: flex;
	justify-content: center;
	margin: 2rem 0;
	/* margin-top: clamp(2rem, 3vw, 3rem); */
	/* margin-bottom:  */
	background: #000;
	/* padding-inline: clamp(2rem, 12vw, rem); */
}

.realisations-filters {
	display: flex;
	justify-content: center;
}

.realisations-filters button {
	padding: 0.75rem 1.5rem;
	border: none;
	background: var(--color3);
	color: var(--color4);
	font-size: clamp(11px, 0.8vw, 12px);
	font-weight: 600;
	letter-spacing: 3.6px;
	text-transform: uppercase;
}
.realisations-filters button:hover {
	cursor: pointer;
}
.realisations-splide {
	overflow: hidden;
}

.realisations-splide .splide__track {
	overflow: visible;
}

.realisations-splide .splide__slide {
	width: 50vw;
	padding: 0 3px;
}

.realisations-splide .realisation-item img {
	width: 100%;
	aspect-ratio: 1.65 / 1;
	object-fit: cover;
}

.realisations-splide .realisation-content {
	visibility: hidden;
	opacity: 0;
	transition: opacity 0.3s ease;

}

.realisations-splide .realisation-item.is-active .realisation-content {
	visibility: visible;
	opacity: 1;
}

.realisations-splide .splide__arrow {
	width: 3.5rem;
	height: 3.5rem;
	background: rgba(0, 0, 0, 0.5);
}

.realisations-splide .splide__arrow svg {
	fill: var(--color4);
}


/* ==========================================================================
   Avantages
   ========================================================================== */

.section--avantages > .content {
	padding:
		clamp(4rem, 6vw, 7rem)
		clamp(4rem, 12vw, 11.375rem)
		clamp(4rem, 12vw, 14rem)
		var(--page-gutter-left);
}

.section--avantages > .content > h3 {
	padding-top: clamp(4rem, 6vw, 7rem);
}

.section--avantages .grid--2 {
	grid-template-columns: repeat(2, minmax(0, 1fr));
	column-gap: 0;
}

.section--avantages .advantage-item:first-child {
	padding-right: clamp(3rem, 5vw, 6rem);
}
.section--avantages .advantage-item {
	padding-block: clamp(2rem, 3vw, 3.125rem);
}
.section--avantages .advantage-item + .advantage-item {
	position: relative;
	padding-left: clamp(3rem, 5vw, 6rem);
}

.section--avantages .advantage-item + .advantage-item::before {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 1px;
	height: 100%;
	background: var(--color1);
}
/* ==========================================================================
   CTA
   ========================================================================== */
.section--cta {
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
}
.section--cta .content {
	padding:
		clamp(6rem, 9vw, 10rem)
		var(--page-gutter-left);
}
.section--cta .content p {
	max-width: 80%;
	margin-inline: auto;
}
/* ==========================================================================
   Footer
   ========================================================================== */

footer {
	padding: clamp(4rem, 6vw, 7rem);
	font-size: clamp(16px, 1.2vw, 18px);
}

footer a {
	color: white;
}

footer h2 {
	max-width: 60%;
	margin-inline: auto;
	margin-bottom: 7rem;
}

footer h3 {
	font-size: clamp(16px, 2.67vw, 40px);
	text-transform: none;
	font-weight: 700;
	margin-bottom: 1.5rem;
}

footer > div {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 30px;
}

footer .logo-contact {
	border-right: 1px solid white;
}

footer .logo-contact p {
	display: block;
	margin: 2rem 0;
}

footer .list-socials {
	display: flex;
	align-items: center;
	gap: 0.75rem;
}

footer .social img {
	max-width: 1.0625rem;
	height: auto;
	object-fit: contain;
}

footer .footer--form {
	padding-left: clamp(2rem, 4vw, 4.375rem);
}

/* Gravity Forms */

footer .footer--form .gfield_label {
	color: #fff;
	font-size: clamp(0.75rem, 0.8vw, 0.875rem);
	font-weight: 500;
	line-height: 1;
	letter-spacing: 0.1125rem;
	text-transform: uppercase;
}

footer .footer--form .gform_fields {
	display: grid !important;
	grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
	column-gap: clamp(3rem, 6vw, 7rem) !important;
	row-gap: clamp(2rem, 4vw, 4rem) !important;
}

/* Nom / Courriel / Téléphone */
footer .footer--form .gfield--type-text,
footer .footer--form .gfield--type-email,
footer .footer--form .gfield--type-phone {
	grid-column: 1 !important;
	width: 100% !important;
}

/* Message */
footer .footer--form .gfield--type-textarea {
	grid-column: 2 !important;
	grid-row: 1 / span 3 !important;
	width: 100% !important;
}

footer .footer--form .ginput_container {
	width: 100% !important;
}

footer .footer--form .gform_wrapper input[type="text"],
footer .footer--form .gform_wrapper input[type="email"],
footer .footer--form .gform_wrapper input[type="tel"] {
	width: 100% !important;
	padding: 0.75rem 0 !important;
	border: 0 !important;
	border-bottom: 1px solid #fff !important;
	border-radius: 0 !important;
	background: transparent !important;
	box-shadow: none !important;
	color: #fff !important;
}

footer .footer--form .gform_wrapper input::placeholder,
footer .footer--form .gform_wrapper textarea::placeholder {
	color: #fff;
	opacity: 1;
	font-size: clamp(0.75rem, 0.8vw, 0.875rem);
	font-weight: 500;
	letter-spacing: 0.1125rem;
	text-transform: uppercase;
}
footer .footer--form .ginput_counter {
	color: white !important;
}
footer .footer--form textarea {
	width: 100% !important;
	background: #888 !important;
	border: 0 !important;
	border-radius: 0 !important;
	box-shadow: none !important;
		border-top: 1px solid #fff !important;
}

footer .footer--form .gform_footer {
	display: flex;
	justify-content: flex-end;
	margin-top: clamp(2rem, 3vw, 3rem);
}

footer .footer--form .gform_button {
	background: var(--color1) !important;
	color: var(--color3) !important;
	border: 0 !important;
	border-radius: 0 !important;
	padding: 1rem 3rem !important;
	text-transform: uppercase !important;
}

@media (width <= 1280px) {
	.grid--3 {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}

@media (width <= 768px) {
	footer > div {
		grid-template-columns: 1fr;
	}

	footer .footer--form {
		padding-left: 0;
	}

	footer .footer--form .gform_fields {
		grid-template-columns: 1fr !important;
	}

	footer .footer--form .gfield--type-text,
	footer .footer--form .gfield--type-email,
	footer .footer--form .gfield--type-phone,
	footer .footer--form .gfield--type-textarea {
		grid-column: 1 !important;
		grid-row: auto !important;
	}
}

@media (max-width: 1024px) {
	.realisations-splide .splide__slide {
		width: 70vw;
	}
}


@media (width <= 768px) {
	.grid--2,
	.grid--3,
	.grid--split {
		grid-template-columns: 1fr;
	}
	.section--cta .content p,
	.hero .content,
	footer h2 {
		max-width: 100%;
	}
	.realisations-splide .splide__slide {
		width: 85vw;
	}
	.realisations-header {
		width: 100%;
		max-width: none;
		padding-inline: 1.25rem;
	}
	.realisations-header p {
		max-width: 70%;
		margin-inline: auto;
	}
}
